petsc-3.4.2 2013-07-02

# PetscThreadCommGetNThreads

Gets the thread count from the thread communicator associated with the MPI communicator

### Synopsis

    #include "petscthreadcomm.h"
    PetscErrorCode PetscThreadCommGetNThreads(MPI_Comm comm,PetscInt *nthreads)

Not collective

### Input Parameters

comm -the MPI communicator

### Output Parameters

nthreads -number of threads

### See Also

PetscThreadCommSetNThreads()

Level:developer
Location:src/sys/threadcomm/interface/threadcomm.c
Index of all PetscThreadComm routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/threadcomm/examples/tutorials/ex1.c.html
src/sys/threadcomm/examples/tutorials/ex2.c.html
src/sys/threadcomm/examples/tutorials/ex5.c.html